%global pkgname flask-oidc
%global srcname flask_oidc

Name:           python-%{pkgname}
Version:        2.2.2
Release:        1%{?dist}
Summary:        OpenID Connect extension for Flask

License:        BSD-2-Clause
URL:            https://github.com/fedora-infra/flask-oidc
Source0:        https://files.pythonhosted.org/packages/source/f/%{pkgname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel

%{?python_enable_dependency_generator}

%description
OpenID Connect support for Flask. This library should work with
any standards compliant OpenID Connect provider.It has been tested with:
* Ipsilon

Project status: This project is in active development (again).


%package -n     python%{python3_pkgversion}-%{pkgname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python%{python3_pkgversion}-%{pkgname}
OpenID Connect support for Flask. This library should work with
any standards compliant OpenID Connect provider.It has been tested with:
* Ipsilon

Project status: This project is in active development (again).


%prep
%autosetup -p1 -n %{srcname}-%{version}
# This is unfortunate
sed -i -e 's/blinker>=1.4.0/blinker>=1.4/' setup.py


%build
%py3_build


%install
%py3_install
ls -R %{buildroot}%{python3_sitelib}


%files -n  python%{python3_pkgversion}-%{pkgname}
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Oct 23 2024 Aurelien Bompard <abompard@fedoraproject.org> - 2.2.2-1
- Initial package.
